MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/playlist_queue.h File Reference

Glue between playlist plugin and the play queue. More...

`#include "playlist.h"`

Go to the source code of this file.

## Functions
enum playlist_result | playlist_load_into_queue (const char *uri, struct playlist_provider *source, struct playlist *dest)
| Loads the contents of a playlist and append it to the specified play queue.
enum playlist_result | playlist_open_into_queue (const char *uri, struct playlist *dest)
| Opens a playlist with a playlist plugin and append to the specified play queue.

## Detailed Description

Glue between playlist plugin and the play queue.

Definition in file playlist_queue.h.

## Function Documentation

enum playlist_result playlist_load_into_queue | ( | const char * | uri,
|  | struct playlist_provider * | source,
|  | struct playlist * | dest
| ) |  |

Loads the contents of a playlist and append it to the specified play queue.

Parameters:

  uri | the URI of the playlist, used to resolve relative song URIs

enum playlist_result playlist_open_into_queue | ( | const char * | uri,
|  | struct playlist * | dest
| ) |  |

Opens a playlist with a playlist plugin and append to the specified play queue.